Subject: bug#21260: 23.2; Devanagari windows 10

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Aug 2015 23:43:54 +0300

> From: Jim Funderburk <[email-masked]>
> Date: Fri, 14 Aug 2015 16:14:58 -0400
> 
> I recently updated to Windows 10.  Now, I have problems viewing
> text files which contain utf-8 encoded text representing Devanagari.
> The text renders as boxes.
> A small sample file is in this dropbox link.
> https://www.dropbox.com/s/7uedn6dgwf1p6xj/devanagari_example.txt?dl=0

I don't see boxes there, I see what looks like Devanagari characters.
(I don't read any of the languages that use the Devanagari script.)

What do you see if you type "C-h H" in a session started with
"emacs -Q"?  Can you post an image showing what you see?

Also, what font does Emacs try using for this script on Windows 10?

> This file views fine (using Lucida Console, or Arial fonts) under
> Windows Vista or Windows 7 , with this same version of Emacs.
> I've also tried a newer version 24.x.y version of Emacs on Windows 10,
> and have the same problem.
> This file also looks fine in Windows 10 using Notepad++ or even lowly
> Notepad,  and (with slight adjustment of html tags) in Chrome browser.
> 
> My email is [email-masked].  I hope you'll let me know if this
> can be fixed, since I have used Emacs for 20+ years, and hope to use it
> in the future

I don't have access to Windows 10, and cannot debug this (and don't
see the problem in the sample you posted anyway).  I hope someone else
will be able to tell what is wrong there.

Sorry.